Subject: Re: [PATCH 5/5] PCI fixes for the MPC8641 Rev 2.0 silicon and Rev 1.02hardware

From: Jerry Van Baren <[email-masked]>
Date: Thu, 17 May 2007 15:16:59 -0400

Timur Tabi wrote:
> Scott Wood wrote:
> 
>> We also don't want people using a perfectly good device tree on a newer 
>> revision of the board that just fixes things and doesn't make any 
>> device-tree-relevant changes,
> 
> Well, either one device tree is okay, or we need two.  If we do need two, then it would be 
> bad to load the wrong one on a particular board and have only 90% functionality.  If he 
> have the ability to prevent customers from getting confused, then we should do that.  I 
> wish this was standard behavior for all device trees.  I've frequently loaded the wrong 
> device tree and wondered why nothing worked.

Wolfgang Grandegger and Detlev Zundel are working on using fdts for 
configuring u-boot itself (I'm only indirectly involved: I am custodian 
for u-boot-fdt).

I envision the likely progression of this and other activities will be 
to make fdt properties (variables) first class citizens of u-boot: 
substantially and possibly entirely replacing the traditional u-boot 
environment variables.  This would imply that you could write a hush 
script that u-boot executed that would pick the right fdt, or at least 
complain if you had the wrong fdt.

Theoretically.  Some assembly required. :-/

I see Timur just sent an email on the u-boot list proposing a 
"fdt_checkboard()" function.  Hmmm, something to think about...

Best regards,
gvb